<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">

<Contents Find="TickerItem" >
	<TickerHeader>
		<xsl:if test="@TICKERCOLOR">
			<xsl:attribute name="BGColor"><xsl:value-of select="@TICKERCOLOR"/></xsl:attribute>
		</xsl:if>
		<Item>
			<xsl:if test="@TICKERCOLOR = ''">
				<xsl:attribute name="TextColor">skin.epbar.ticker.headercolor</xsl:attribute>
			</xsl:if>
			<xsl:choose>
				<xsl:when test="@TICKERHEADER = ''">
					<xsl:attribute name="Text">&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;<xsl:value-of select="@NAME"/>&#32;.&#32;.&#32;.&#32;.&#32;&#32;&#32;&#32;</xsl:attribute>
				</xsl:when>
				<xsl:otherwise>
					<xsl:attribute name="Text">&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;<xsl:value-of select="@TICKERHEADER"/>&#32;.&#32;.&#32;.&#32;.&#32;&#32;&#32;&#32;</xsl:attribute>
				</xsl:otherwise>
			</xsl:choose>
		</Item>
	</TickerHeader>
	<xsl:for-each select="DATOM">
		<TickerItem	>
			<xsl:attribute name="Link"><xsl:value-of select="URL"/>&amp;src=tkr</xsl:attribute>
			<xsl:attribute name="Abstract">Source:&#32;<xsl:value-of select="@PROVIDER"/>&#13;<xsl:value-of select="@TIMESTR"/></xsl:attribute>

			<Item>
				<xsl:attribute name="Text"><xsl:value-of select="TITLE"/>&#32;&#32;&#32;&#32;&#32;&#32;&#32;&#32;</xsl:attribute>
			</Item>

			<ClickAction>
				<xsl:attribute name="ALERTID"><xsl:value-of select="@ALERTID"/></xsl:attribute>
				<xsl:if test="../@TTYPE == 'alert'">
					<xsl:attribute name="TYPE">ALERT</xsl:attribute>
				</xsl:if> 
			</ClickAction>

		</TickerItem>
	</xsl:for-each>
</Contents>
</xsl:template>
</xsl:stylesheet>